Overview | Package | Class | Tree | Deprecated | Index | Help
| Spring Web Flow
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.springframework.webflow.core.collection
Class LocalSharedAttributeMap

    java.lang.Object
      org.springframework.webflow.core.collection.LocalAttributeMap
          org.springframework.webflow.core.collection.LocalSharedAttributeMap

All Implemented Interfaces:
  java.io.Serializable, MapAdaptable, AttributeMap, MutableAttributeMap, SharedAttributeMap

    public class LocalSharedAttributeMap

extends LocalAttributeMap
implements SharedAttributeMap

An attribute map that exposes a mutex that application code can synchronize on. This class wraps another shared map in an attribute map.

The mutex can be used to serialize concurrent access to the shared map's contents by multiple threads.

Author:
  Keith Donald
See Also:
  Serialized Form

Constructor Summary
`LocalSharedAttributeMap(SharedMap sharedMap)` Creates a new shared attribute map.

Method Summary
`java.lang.Object` | `getMutex()` Returns the shared map's mutex, which may be synchronized on to block access to the map by other threads.
`protected SharedMap` | `getSharedMap()` Returns the wrapped shared map.

Methods inherited from class org.springframework.webflow.core.collection.LocalAttributeMap
`asMap, clear, contains, contains, createTargetMap, createTargetMap, equals, extract, get, get, get, get, getArray, getBoolean, getBoolean, getCollection, getCollection, getInteger, getInteger, getLong, getLong, getMapInternal, getNumber, getNumber, getRequired, getRequired, getRequiredArray, getRequiredBoolean, getRequiredCollection, getRequiredCollection, getRequiredInteger, getRequiredLong, getRequiredNumber, getRequiredString, getString, getString, hashCode, initAttributes, isEmpty, put, putAll, remove, removeAll, replaceWith, size, toString, union`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.springframework.webflow.core.collection.MutableAttributeMap
`clear, extract, put, putAll, remove, removeAll, replaceWith`

Methods inherited from interface org.springframework.webflow.core.collection.AttributeMap
`contains, contains, get, get, get, get, getArray, getBoolean, getBoolean, getCollection, getCollection, getInteger, getInteger, getLong, getLong, getNumber, getNumber, getRequired, getRequired, getRequiredArray, getRequiredBoolean, getRequiredCollection, getRequiredCollection, getRequiredInteger, getRequiredLong, getRequiredNumber, getRequiredString, getString, getString, isEmpty, size, union`

Methods inherited from interface org.springframework.binding.collection.MapAdaptable
`asMap`

Constructor Detail

### LocalSharedAttributeMap

    public LocalSharedAttributeMap(SharedMap sharedMap)

  Creates a new shared attribute map.

  Parameters:
    `sharedMap` - the shared map

Method Detail

### getMutex

    public java.lang.Object getMutex()

  Description copied from interface: `SharedAttributeMap`
  Returns the shared map's mutex, which may be synchronized on to block access to the map by other threads.

  Specified by:
    `getMutex` in interface `SharedAttributeMap`

### getSharedMap

    protected SharedMap getSharedMap()

  Returns the wrapped shared map.

Overview | Package | Class | Tree | Deprecated | Index | Help
| Spring Web Flow
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD